<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~stringtie2023_start.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Start StringTie/2023 analysis" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select aligned sequences</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Aligned sequences</td>
				<td class="input">
					<select class="required yellow-label-support" multiple size="30"
						name="alignedSequences" id="alignedSequences"></select>
						
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button title="Select manually&hellip;" id="btnSelectAlignedSequences" />
					</base:buttongroup>
				</td>
				<td class="status" id="alignedSequences.status"></td>
				<td class="help"><span id="alignedSequences.message" class="message"></span>
					Select the aligned sequences that should be processed with StringTie. 
					The list contains aligned sequences  from the <b>StringTie/2023 pipeline</b> item list 
					(max 250).<br><br> Items marked with <b>[R]</b> have been marked for re-processing 
					due to a  previous failure.
				</td>
			</tr>
			</table>

		</div>
	</div>
	
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">StringTie information</div>
		<div class="step-content">

			<table class="step-form">
			<tbody>
				<tr>
					<td class="prompt">Array design</td>
					<td class="input">
						<select name="arrayDesign" id="arrayDesign" class="required"></select>
					</td>
					<td class="status" id="arrayDesign.status"></td>
					<td class="help">
						<span id="arrayDesign.message" class="message"></span>
						Select the array design to link the data to.
					</td>
				</tr>
				<tr>
					<td class="prompt">Protocol</td>
					<td class="input">
						<select name="stringtieProtocol" id="stringtieProtocol"></select>
					</td>
					<td class="status" id="stringtieProtocol.status"></td>
					<td class="help">
						<span id="stringtieProtocol.message" class="message"></span>
						Select the protocol used.
					</td>
				</tr>
				<tr>
					<td class="prompt">Software</td>
					<td class="input">
						<select name="stringtieSoftware" id="stringtieSoftware"></select>
					</td>
					<td class="status" id="stringtieSoftware.status"></td>
					<td class="help">
						<span id="stringtieSoftware.message" class="message"></span>
						Select the software to use.
					</td>
				</tr>
			</tbody>
			<tbody class="info-section">
				<tr>
					<td class="subprompt">Parameter set</td>
					<td class="info" colspan="2">
						<span id="stringtieSoftware.parameterSet"></span>
						<div id="stringtieSoftware.description" class="item-description"></div>
					</td>
					<td class="help">
						This step uses StringTie for calculating expression values. Parameters are configured in 
						the &lt;stringtie-2023&gt; section in reggie-config.xml.
					</td>
				</tr>
			</tbody>
			<tbody>
				<tr class="section-header">
					<td colspan="4">Job scheduler</td>
				</tr>
				<tr>
					<td class="subprompt">Cluster</td>
					<td class="input">
						<select name="clusters" id="clusters" class="required"></select></td>
					<td class="status" id="clusters.status"></td>
					<td class="help">
						<span id="clusters.message" class="message"></span>
						Select the cluster to use for running the software.
					</td>
				</tr>
				<tr id="job-priority" style="display: none;">
					<td class="subprompt">Job priority</td>
					<td class="input">
						<select name="priority" id="priority"></select>
					</td>
					<td class="status" id="priority.status"></td>
					<td class="help">
						<span id="priority.message" class="message"></span>
						Select the priority of the job.
					</td>
				</tr>
				<tr id="job-partition" style="display: none;">
					<td class="subprompt">Job partition</td>
					<td class="input">
						<select name="partition" id="partition"></select>
					</td>
					<td class="status" id="partition.status"></td>
					<td class="help">
						<span id="partition.message" class="message"></span>
						Select the partition/queue that the job should be submitted to.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Auto-confirm</td>
					<td class="input"><input type="checkbox" name="autoConfirm" checked></td>
					<td class="status" id="autoConfirm.status"></td>
					<td class="help">
						<span id="autoConfirm.message" class="message"></span>
						If checked, the pipeline will automatically continue with next step 
						in the analysis (there are currently no more steps).
					</td>
				</tr>
				<tr>
					<td class="subprompt">Debug</td>
					<td class="input"><input type="checkbox" name="debug"></td>
					<td class="status" id="debug.status"></td>
					<td class="help">
						<span id="debug.message" class="message"></span>
						When running in debug mode temporary files are not removed from the
						cluster node.
					</td>
				</tr>
			</tbody>
			</table>
		</div>
	</div>
		
		<div id="wizard-status"></div>
	
		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>