<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~vcall_build.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Build SCAN-B variant database" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select list with alignments</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Item list</td>
				<td class="input">
				
					<table style="width: 100%;">
					<tr>
					<td>
						<select class="required" name="itemList" id="itemList"></select>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button title="Select&hellip;" id="btnSelectList" />
					</td>
					</tr>
					</table>

				</td>
				<td class="status" id="itemList.status"></td>
				<td class="help"><span id="itemList.message" class="message"></span>
					Select a list containing the alignments that should be used to
					build the database. All alignments in the list need to have a raw
					variant calling file already. They also need to be linked all the 
					way up to a patient item. This is needed since the script calculates
					per-patient frequencies of variants.
				</td>
			</tr>
			<tr>
				<td class="subprompt">Sample type</td>
				<td class="input">
					<label><input type="radio" name="sampleType" id="sampleTypeTumors" value="tumors" checked>Tumors</label>
					<label><input type="radio" name="sampleType" id="sampleTypeNormals" value="normals">Normals</label>
				</td>
				<td class="status" id="sampleType.status"></td>
				<td class="help">
					<span id="sampleType.message" class="message"></span>
					Select the sample type of the alignments in the list. The selection
					dosn't affect the analysis except the name of the final result files.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Parameters</div>
		<div class="step-content">

			<table class="step-form">
			<tbody>
				<tr class="section-header">
					<td colspan="4">Job scheduler</td>
				</tr>
				<tr>
					<td class="subprompt">Cluster</td>
					<td class="input">
						<select name="clusters" id="clusters" class="required"></select></td>
					<td class="status" id="clusters.status"></td>
					<td class="help">
						<span id="clusters.message" class="message"></span>
						Select the cluster to use for running the software.
					</td>
				</tr>
				<tr id="job-priority" style="display: none;">
					<td class="subprompt">Job priority</td>
					<td class="input">
						<select name="priority" id="priority"></select>
					</td>
					<td class="status" id="priority.status"></td>
					<td class="help">
						<span id="priority.message" class="message"></span>
						Select the priority of the job.
					</td>
				</tr>
				<tr id="job-partition" style="display: none;">
					<td class="subprompt">Job partition</td>
					<td class="input">
						<select name="partition" id="partition"></select>
					</td>
					<td class="status" id="partition.status"></td>
					<td class="help">
						<span id="partition.message" class="message"></span>
						Select the partition/queue that the job should be submitted to.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Debug</td>
					<td class="input"><input type="checkbox" name="debug"></td>
					<td class="status" id="debug.status"></td>
					<td class="help">
						<span id="debug.message" class="message"></span>
						When running in debug mode temporary files are not removed from the
						cluster node.
					</td>
				</tr>
			</tbody>
			</table>
		</div>
	</div>
		
		<div id="wizard-status"></div>
		<div id="wizard-progress"></div>
	
		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>