var PauseSettings = function()
{
	var pause = {};
	var debug = 0;
	var sites;

	// Page initialization
	pause.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnSave', pause.saveSettings);

		var url = '../SpecimenTubeRegistration.servlet?ID='+App.getSessionId();
		url += '&cmd=GetPauseSettings';
		Wizard.showLoadingAnimation('Loading pause settings...');
		Wizard.asyncJsonRequest(url, pause.onSettingsLoaded);
	}

	pause.onSettingsLoaded = function(response)
	{
		sites = response.sites;
		var html = '';
		for (var siteNo = 0; siteNo < sites.length; siteNo++)
		{
			var site = sites[siteNo];
			var id = 'site.'+site.prefix;
			html += '<div class="site">'
			html += '<input type="checkbox" id="'+id+'" name="'+id+'" ' + (site.paused?'checked':'')+'>';
			html += '<label for="'+id+'">'+Strings.encodeTags(site.name)+'</label>';
			html += '</div>';
		}
		Doc.element('siteList').innerHTML = html;
	}
	
	pause.saveSettings = function()
	{
		var paused = [];
		var frm = document.forms['reggie'];
		for (var siteNo = 0; siteNo < sites.length; siteNo++)
		{
			var site = sites[siteNo];
			if (frm['site.'+site.prefix].checked) paused[paused.length] = site.prefix;
		}
		
		var submitInfo = {};
		submitInfo.pausedSites = paused;
		
		var url = '../SpecimenTubeRegistration.servlet?ID='+App.getSessionId();
		url += '&cmd=SavePauseSettings';
		Wizard.showLoadingAnimation('Saving settings...');
		Wizard.asyncJsonRequest(url, pause.submissionResults, 'POST', JSON.stringify(submitInfo));
	}
	
	pause.submissionResults = function(response)
	{
		var url = App.getRoot() + 'common/close_popup.jsp?ID='+App.getSessionId();
		url += '&refresh_opener=1'
		if (response.messages.length > 0)
		{
			url += '&message='+encodeURIComponent(response.messages[0]);
		}
		location.href = url;

	}

	return pause;
}();

Doc.onLoad(PauseSettings.initPage);

