var RnaQcExport = function()
{
	var rnaqc = {};
	
	
	// Page initialization
	rnaqc.initPage = function()
	{
		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('gonext', Wizard.goNextOnClick);
		Buttons.addClickHandler('goregister', Wizard.goRegister);

		var url = '../RnaQc.servlet?ID='+App.getSessionId();
		url += '&cmd=GetActiveRnaQcBioPlates&numFreeWells=0&bioPlateType=CALIPER_RNAQC';
		Wizard.showLoadingAnimation('Loading RNAQC plates...');
		Wizard.asyncJsonRequest(url, rnaqc.qcPlatesLoaded);
		
		var url = '../RnaQc.servlet?ID='+App.getSessionId();
		url += '&cmd=GetConfigurationsForRunParametersExporter';		
		Wizard.asyncJsonRequest(url, rnaqc.configurationsLoaded);
	}
	

	rnaqc.qcPlatesLoaded = function(response)
	{
		var frm = document.forms['reggie'];
		var qcPlates = response.plates;
		
		for (var i = 0; i < qcPlates.length; i++)
		{
			var plate = qcPlates[i];
			if (plate.usedWells > 0)
			{
				frm.bioPlates[frm.bioPlates.length] = new Option(plate.name + ' -- ' + plate.usedWells + ' used wells', plate.id);
			}
		}
		
		if (frm.bioPlates.length == 0)
		{
			Wizard.setFatalError('Could not find any bioplates to export.');
			return;
		}
		
		Doc.show('step-1');
	}
	
	rnaqc.configurationsLoaded = function(response)
	{
		var configurations = response.configurations;

		var html = rnaqc.makeExportLink('Sample names (csv)', 'SAMPLE_NAMES');
		for (var i = 0; i < configurations.length; i++)
		{
			var config = configurations[i];
			html += rnaqc.makeExportLink('Run parameters: '+Strings.encodeTags(config.name) + ' (xml)', config.id);
		}
		
		Doc.element('export').innerHTML = html;
		var links = Doc.element('export').getElementsByClassName('link');
		for (var linkNo = 0; linkNo < links.length; linkNo++)
		{
			Events.addEventHandler(links[linkNo], 'click', rnaqc.exportFile);
		}
	}
	
	rnaqc.makeExportLink = function(title, exporter)
	{
		var btn = '';
		btn += '<span class="link" data-exporter="'+exporter+'">';
		btn += '<img src="../images/export.png">&nbsp;';
		btn += title+'</span><br>\n';
		return btn;
	}

	rnaqc.exportFile = function(event)
	{
		var exporter = Data.get(event.currentTarget, 'exporter');
		
		var frm = document.forms['reggie'];	
		var bioPlateId = frm.bioPlates.value;
		
		var url = '../RnaQc.servlet?ID='+App.getSessionId();
		if (exporter == 'SAMPLE_NAMES')
		{
			url += '&cmd=ExportSampleNamesForCaliper&bioPlateId='+bioPlateId;
		}
		else
		{
			url += '&cmd=ExportRunParameters&bioPlateId='+bioPlateId+'&configurationId='+exporter;
		}
		window.location = url;
	}


	return rnaqc;
}();

Doc.onLoad(RnaQcExport.initPage);

